KDE 4.2 PyKDE API Reference

- KDE's Python API

# CSSValueList Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.CSSValue
Namespace: DOM

## Detailed Description

The CSSValueList interface provides the absraction of an ordered collection of CSS values.

## Methods

| __init__ (self)
| __init__ (self, DOM.CSSValueList other)
| __init__ (self, DOM.CSSValue other)
| __init__ (self, CSSValueListImpl impl)
DOM.CSSValue | item (self, long index)
long | length (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSValueList | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.CSSValue | other
| ) |  |  |

__init__ | ( | self, |
|  | CSSValueListImpl | impl
| ) |  |  |

DOM.CSSValue item | ( | self, |
|  | long | index
| ) |  |  |

Used to retrieve a CSS rule by ordinal index. The order in this collection represents the order of the values in the CSS style property.

Parameters:

  | index | Index into the collection.

Returns:
  The style rule at the index position in the CSSValueList , or null if that is not valid index.

long length | ( |  | self ) |

The number of CSSValue s in the list. The range of valid values indices is 0 to length-1 inclusive.